Name:           glsl-analyzer
Version:        1.5.1
Release:        1%{?dist}
Summary:        Language server for GLSL
License:        GPL-3.0-only
URL:            https://github.com/nolanderc/glsl_analyzer

Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  zig

%description
Language server for GLSL (OpenGL Shading Language).

%prep
%setup -q -n glsl_analyzer-%{version}
sed -i 's/b.run(&.{ "git", "describe", "--tags", "--always" })/"%{version}"/' build.zig

%build
zig build install -Doptimize=ReleaseSafe --prefix ./build

%install
install -m 755 -p -D -t %{buildroot}%{_bindir}/%{name} build/bin/*

%files
%{_bindir}/%{name}

%changelog
* Wed Jul 31 2024 Marian Koncek <mkoncek@redhat.com> - 1.5.1-1
- Initial build
